/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.entidad;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

/**
 *
 * @author Rafael
 */
@Entity
@Table(name = "PTOVTA_DIVERSOS_INFO")
@NamedQueries({
    @NamedQuery(name = "PtovtaDiversosInfo.findAll", query = "SELECT p FROM PtovtaDiversosInfo p")})
public class PtovtaDiversosInfo implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "ID")
    private Integer id;
    @JoinColumn(name = "INFO_ID", referencedColumnName = "ID")
    @ManyToOne(optional = false)
    private PtovtaInformacao infoId;
    @JoinColumn(name = "DIVERSOS_ID", referencedColumnName = "ID")
    @ManyToOne(optional = false)
    private PtovtaDiversos diversosId;

    public PtovtaDiversosInfo() {
    }

    public PtovtaDiversosInfo(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public PtovtaInformacao getInfoId() {
        return infoId;
    }

    public void setInfoId(PtovtaInformacao infoId) {
        this.infoId = infoId;
    }

    public PtovtaDiversos getDiversosId() {
        return diversosId;
    }

    public void setDiversosId(PtovtaDiversos diversosId) {
        this.diversosId = diversosId;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof PtovtaDiversosInfo)) {
            return false;
        }
        PtovtaDiversosInfo other = (PtovtaDiversosInfo) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.rjconsultores.ventaboletos.entidad.PtovtaDiversosInfo[ id=" + id + " ]";
    }
    
}
