/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.entidad;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import javax.persistence.Basic;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 *
 * @author Rafael
 */
@Entity
@Table(name = "PTOVTA_PERCENTUAL")
@NamedQueries({
    @NamedQuery(name = "PtovtaPercentual.findAll", query = "SELECT p FROM PtovtaPercentual p")})
public class PtovtaPercentual implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "ID")
    private Integer id;
    @Basic(optional = false)
    @Column(name = "BAIXAESTACAO")
    private int baixaestacao;
    @Basic(optional = false)
    @Column(name = "ALTAESTACAO")
    private int altaestacao;
    @Basic(optional = false)
    @Column(name = "ACTIVO")
    private short activo;
    @Basic(optional = false)
    @Column(name = "FECMODIF")
    @Temporal(TemporalType.TIMESTAMP)
    private Date fecmodif;
    @Basic(optional = false)
    @Column(name = "USUARIO_ID")
    private int usuarioId;
    @JoinColumn(name = "IDTIPOPERCENT", referencedColumnName = "ID")
    @ManyToOne(optional = false)
    private PtovtaTipoPercentual idtipopercent;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "percentualId")
    private List<PtovtaComissaoPercentual> ptovtaComissaoPercentualList;

    public PtovtaPercentual() {
    }

    public PtovtaPercentual(Integer id) {
        this.id = id;
    }

    public PtovtaPercentual(Integer id, int baixaestacao, int altaestacao, short activo, Date fecmodif, int usuarioId) {
        this.id = id;
        this.baixaestacao = baixaestacao;
        this.altaestacao = altaestacao;
        this.activo = activo;
        this.fecmodif = fecmodif;
        this.usuarioId = usuarioId;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public int getBaixaestacao() {
        return baixaestacao;
    }

    public void setBaixaestacao(int baixaestacao) {
        this.baixaestacao = baixaestacao;
    }

    public int getAltaestacao() {
        return altaestacao;
    }

    public void setAltaestacao(int altaestacao) {
        this.altaestacao = altaestacao;
    }

    public short getActivo() {
        return activo;
    }

    public void setActivo(short activo) {
        this.activo = activo;
    }

    public Date getFecmodif() {
        return fecmodif;
    }

    public void setFecmodif(Date fecmodif) {
        this.fecmodif = fecmodif;
    }

    public int getUsuarioId() {
        return usuarioId;
    }

    public void setUsuarioId(int usuarioId) {
        this.usuarioId = usuarioId;
    }

    public PtovtaTipoPercentual getIdtipopercent() {
        return idtipopercent;
    }

    public void setIdtipopercent(PtovtaTipoPercentual idtipopercent) {
        this.idtipopercent = idtipopercent;
    }

    public List<PtovtaComissaoPercentual> getPtovtaComissaoPercentualList() {
        return ptovtaComissaoPercentualList;
    }

    public void setPtovtaComissaoPercentualList(List<PtovtaComissaoPercentual> ptovtaComissaoPercentualList) {
        this.ptovtaComissaoPercentualList = ptovtaComissaoPercentualList;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof PtovtaPercentual)) {
            return false;
        }
        PtovtaPercentual other = (PtovtaPercentual) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.rjconsultores.ventaboletos.entidad.PtovtaPercentual[ id=" + id + " ]";
    }
    
}
